\documentclass{beamer}
\mode<presentation>
\usetheme{Pittsburgh}
\usecolortheme{beaver}
\title{Tor Research and Development}
\author{Andrew Lewman \\ andrew@torproject.org}
\date{November 4, 2009}
\begin{document}

\begin{frame}
\maketitle  
\begin{center}
\includegraphics[height=3cm]{./images/2009-tor-logo}
\end{center}
\end{frame}

\begin{frame}
\frametitle{The Tor Project, Inc.}
501(c)(3) non-profit organization dedicated to the research and development of technologies for online anonymity and privacy
\begin{center}
\includegraphics[height=5cm]{./images/2009-oval_sticker_new}
\end{center}
\end{frame}

\begin{frame}
\frametitle{What is Tor?}
\begin{itemize}
\item online anonymity software and network
\pause \item open source, freely available (3-clause BSD license)
\pause \item active research environment: \\
Rice, UMN, NSF, NRL, Drexel, Waterloo, Cambridge UK, Bamberg Germany, Boston U, Harvard, MIT, RPI, GaTech
\pause \item increasingly diverse toolset: \\
Tor, Torbutton, Tor Browser Bundle, TorVM, Incognito LiveCD, Tor Weather, Tor auto-responder, Secure Updater, Orbot, TorFox, Torora, Portable Tor, Tor Check, Arm, Nymble, Tor Control, Tor Wall
\end{itemize}
\end{frame}

\begin{frame}
\frametitle{estimated 300,000 daily users}
\setbeamercolor{background}[\includegraphics[height=9cm]{./images/huge-crowd}]
\end{frame}

\begin{frame}
\frametitle{Who funds Tor?}
\setbeamercolor{background}[\includegraphics[height=5cm]{./images/2008-funding-chart}
\end{frame}

\begin{frame}
\frametitle{Who uses Tor?}
\parbox{5cm}{\sloppy \setbeamercolor{background}[\includegraphics[height=7cm]{./images/anonymousman}}
\parbox{5cm}{\sloppy 
\begin{itemize}
\begin{small}
\item Normal people
\item Law Enforcement
\item Human Rights Activists
\item Business Execs
\item Militaries
\item Abuse Victims
\end{small}
\end{itemize}
}
\end{frame}

\begin{frame}
\frametitle{\url{http://freehaven.net/anonbib/}}
\setbeamercolor{background}[\includegraphics[height=7cm]{./images/anonbib-screenshot}]
\end{frame}

\begin{frame}
\frametitle{Performance}
\begin{itemize}
\item Circuit Latency
\item Relay capacity estimation
\item bandwidth authorities
\item cell sizing
\end{itemize}
\end{frame}

\begin{frame}
\frametitle{Metrics}
\begin{itemize}
\item Measuring metrics anonymously
\pause \item NSF grant to find out
\pause \item Metrics portal: \\ \url{https://www.torproject.org/projects/metrics}
\end{itemize}
\end{frame}

\begin{frame}
\frametitle{Bridge Distribution Strategies}
\begin{itemize}
\item Websites, email, social media tools are working well. 
\pause \begin{itemize}
	\item bridges@torproject.org
	\item https://bridges.torproject.org
	\item Twitter, QQ, Wordpress Plugin
	\end{itemize} 
\pause \item Bootstrapping problem.
\end{itemize}
\end{frame}

\begin{frame}
\frametitle{Censorship Resistance}
\begin{itemize}
\item Theoretical blocking strategies from the censors?
\pause (Cryptographers can dream up some pretty fancy strategies)
\pause \item Applied blocking to date
\pause \begin{itemize}
		\item dns blocking
		\item ip address blocking
		\item blocking or throttling all SSL
		\end{itemize}
\pause \item Blocking resistant strategies
\end{itemize}
\end{frame}

\begin{frame}
\frametitle{Operating Systems leak info like a sieve}
\parbox{5cm}{\sloppy \setbeamercolor{background}[\includegraphics[height=7cm]{./images/cropped-hijack-sign-south-africa}}
\parbox{5cm}{\begin{itemize}
\item Applications, network stacks, plugins, oh my....
\pause some call this "sharing"
\pause \item Did you know Microsoft Word and OpenOffice Writer are browsers?
\pause \item \url{http://www.decloak.net/} is a fine test
\end{itemize}
}
\end{frame}

\begin{frame}
\frametitle{Mobile Operating Systems}
\begin{itemize}
\item Entirely new set of challenges for something designed to know where you are
\pause \item Orbot:  Tor on Android.  \url{http://openideals.com/2009/10/22/orbot-proxy/}
\pause \item iphone, maemo, symbian, etc
\pause \item Tor on Windows CE, \url{http://www.gsmk.de} as an example.
\end{itemize}
\end{frame}

\begin{frame}
\frametitle{Anonymity Online Research}
\framesubtitle{or attacks galore}
\begin{itemize}
\item Website fingerprinting attacks
\pause \item Traffic confirmation attacks
\pause \item Timing attacks
\pause \item Routing zones/Autonomous System attacks
\pause \item Denial of Service resistance
\pause \item Parititioning/DHT/Shared Consensus Attacks
\end{itemize}
\end{frame}

\begin{frame}
\frametitle{Next steps}
Visit \url{https://www.torproject.org/volunteer\#Research} for more information, links, and ideas.
\end{frame}

\begin{frame}
\frametitle{Credits \& Thanks}
\begin{itemize}
\item who uses tor? \url{http://www.flickr.com/photos/mattw/2336507468/siz}, Matt Westervelt, CC-­BY-­SA.
\item danger!, \url{http://flickr.com/photos/hmvh/58185411/sizes/o/}, hmvh, CC-­BY-­SA.
\item 300k, \url{http://www.flickr.com/photos/lukaskracic/334850378/sizes/l/}, Luka Skracic, used with permission.
\end{itemize}
\end{frame}

\end{document}
